---
# Cop supports --autocorrect.
Lint/UnusedBlockArgument:
  Details: grace period
  Exclude:
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/concerns/project_unauthorized.rb'
    - 'app/controllers/concerns/renders_notes.rb'
    - 'app/controllers/import/fogbugz_controller.rb'
    - 'app/controllers/oauth/applications_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/projects/commit_controller.rb'
    - 'app/finders/releases/group_releases_finder.rb'
    - 'app/graphql/batch_loaders/award_emoji_votes_batch_loader.rb'
    - 'app/graphql/batch_loaders/merge_request_diff_summary_batch_loader.rb'
    - 'app/graphql/mutations/ci/runner/update.rb'
    - 'app/graphql/resolvers/bulk_labels_resolver.rb'
    - 'app/graphql/resolvers/incident_management/timeline_events_resolver.rb'
    - 'app/graphql/resolvers/merge_requests_count_resolver.rb'
    - 'app/graphql/resolvers/user_discussions_count_resolver.rb'
    - 'app/graphql/resolvers/user_notes_count_resolver.rb'
    - 'app/graphql/types/ci/runner_type.rb'
    - 'app/graphql/types/global_id_type.rb'
    - 'app/graphql/types/merge_request_type.rb'
    - 'app/helpers/explore_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/models/abuse_report.rb'
    - 'app/models/alert_management/alert.rb'
    - 'app/models/appearance.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/instance_variable.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/concerns/atomic_internal_id.rb'
    - 'app/models/concerns/avatarable.rb'
    - 'app/models/concerns/enum_with_nil.rb'
    - 'app/models/concerns/mentionable.rb'
    - 'app/models/customer_relations/organization.rb'
    - 'app/models/integration.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/namespace/root_storage_statistics.rb'
    - 'app/models/project.rb'
    - 'app/models/projects/build_artifacts_size_refresh.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/users/phone_number_validation.rb'
    - 'app/models/wiki.rb'
    - 'app/serializers/analytics_commit_entity.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/ci/daily_build_group_report_result_entity.rb'
    - 'app/serializers/ci/lint/result_entity.rb'
    - 'app/serializers/diff_file_base_entity.rb'
    - 'app/serializers/diff_file_entity.rb'
    - 'app/serializers/diffs_entity.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/group_child_entity.rb'
    - 'app/serializers/group_entity.rb'
    - 'app/serializers/import/bitbucket_provider_repo_entity.rb'
    - 'app/serializers/import/bitbucket_server_provider_repo_entity.rb'
    - 'app/serializers/integrations/event_entity.rb'
    - 'app/serializers/issue_entity.rb'
    - 'app/serializers/merge_request_diff_entity.rb'
    - 'app/serializers/merge_request_noteable_entity.rb'
    - 'app/serializers/merge_request_poll_widget_entity.rb'
    - 'app/serializers/merge_request_user_entity.rb'
    - 'app/serializers/merge_request_widget_entity.rb'
    - 'app/serializers/note_entity.rb'
    - 'app/serializers/paginated_diff_entity.rb'
    - 'app/serializers/personal_access_token_entity.rb'
    - 'app/serializers/stage_entity.rb'
    - 'app/serializers/test_suite_entity.rb'
    - 'app/serializers/user_preference_entity.rb'
    - 'app/services/authorized_project_update/find_records_due_for_refresh_service.rb'
    - 'app/services/design_management/copy_design_collection/copy_service.rb'
    - 'app/services/environments/stop_stale_service.rb'
    - 'app/services/prometheus/proxy_service.rb'
    - 'app/services/resource_events/synthetic_label_notes_builder_service.rb'
    - 'app/services/web_hooks/log_execution_service.rb'
    - 'app/uploaders/object_storage.rb'
    - 'app/views/projects/commits/_commit.atom.builder'
    - 'app/views/projects/tags/_tag.atom.builder'
    - 'app/workers/process_commit_worker.rb'
    - 'config/application.rb'
    - 'config/initializers/content_security_policy.rb'
    - 'config/initializers/doorkeeper.rb'
    - 'config/initializers/lograge.rb'
    - 'config/initializers/sawyer_patch.rb'
    - 'config/initializers/warden.rb'
    - 'config/routes/project.rb'
    - 'config/routes/wiki.rb'
    - 'db/post_migrate/20211117084814_migrate_remaining_u2f_registrations.rb'
    - 'ee/app/finders/security/training_providers/kontra_url_finder.rb'
    - 'ee/app/finders/security/training_providers/secure_code_warrior_url_finder.rb'
    - 'ee/app/graphql/resolvers/incident_management/escalation_policies_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/oncall_rotations_resolver.rb'
    - 'ee/app/graphql/types/health_status_enum.rb'
    - 'ee/app/models/ee/application_setting.rb'
    - 'ee/app/models/ee/ci/build.rb'
    - 'ee/app/models/ee/deployment.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/namespace_setting.rb'
    - 'ee/app/serializers/ee/build_detail_entity.rb'
    - 'ee/app/serializers/ee/merge_request_widget_entity.rb'
    - 'ee/app/serializers/ee/note_entity.rb'
    - 'ee/app/serializers/ee/note_user_entity.rb'
    - 'ee/app/serializers/epic_entity.rb'
    - 'ee/app/serializers/integrations/zentao_serializers/issue_entity.rb'
    - 'ee/app/serializers/security/vulnerability_report_data_entity.rb'
    - 'ee/app/services/elastic/cluster_reindexing_service.rb'
    - 'ee/app/workers/sync_seat_link_request_worker.rb'
    - 'ee/lib/ee/api/entities/geo_node_status.rb'
    - 'ee/lib/ee/api/entities/gitlab_license.rb'
    - 'ee/lib/ee/api/entities/group.rb'
    - 'ee/lib/ee/api/entities/group_detail.rb'
    - 'ee/lib/ee/api/entities/issue_basic.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/stage_events.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_and_merge_request_actions.rb'
    - 'ee/lib/ee/gitlab/throttle.rb'
    - 'ee/lib/gitlab/authority_analyzer.rb'
    - 'ee/lib/gitlab/insights/reducers/count_per_label_reducer.rb'
    - 'ee/lib/gitlab/proxy.rb'
    - 'ee/lib/tasks/contracts/merge_requests.rake'
    - 'ee/lib/tasks/gitlab/elastic.rake'
    - 'ee/lib/tasks/gitlab/indexer.rake'
    - 'ee/lib/tasks/gitlab/seed/insights.rake'
    - 'ee/spec/elastic/migrate/20220118150500_delete_orphaned_commits_spec.rb'
    - 'ee/spec/elastic/migrate/20220119120500_populate_commit_permissions_in_main_index_spec.rb'
    - 'ee/spec/elastic/migrate/20220613120500_migrate_commits_to_separate_index_spec.rb'
    - 'ee/spec/factories/approvers.rb'
    - 'ee/spec/factories/ci/pipelines.rb'
    - 'ee/spec/factories/ci/reports/license_scanning/report.rb'
    - 'ee/spec/factories/group_saml_identities.rb'
    - 'ee/spec/factories/groups.rb'
    - 'ee/spec/factories/merge_requests.rb'
    - 'ee/spec/factories/namespaces.rb'
    - 'ee/spec/factories/projects.rb'
    - 'ee/spec/factories/protected_branches.rb'
    - 'ee/spec/factories/protected_environments.rb'
    - 'ee/spec/factories/slack_integrations.rb'
    - 'ee/spec/factories/users.rb'
    - 'ee/spec/features/groups/group_settings_spec.rb'
    - 'ee/spec/graphql/mutations/dast/profiles/update_spec.rb'
    - 'ee/spec/graphql/resolvers/analytics/contribution_analytics/contributions_resolver_spec.rb'
    - 'ee/spec/lib/compliance_management/compliance_report/commit_loader_spec.rb'
    - 'ee/spec/lib/ee/gitlab/application_context_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/fix_incorrect_max_seats_used_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/epics/lazy_epic_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/insights/project_insights_config_spec.rb'
    - 'ee/spec/lib/gitlab/usage_data_metrics_spec.rb'
    - 'ee/spec/models/member_spec.rb'
    - 'ee/spec/requests/api/graphql/project/pipeline/security_report_summary_spec.rb'
    - 'ee/spec/requests/api/graphql/vulnerabilities/sort_spec.rb'
    - 'ee/spec/requests/api/related_epic_links_spec.rb'
    - 'ee/spec/services/app_sec/dast/site_validations/revoke_service_spec.rb'
    - 'ee/spec/services/ci/retry_pipeline_service_spec.rb'
    - 'ee/spec/services/elastic/process_bookkeeping_service_spec.rb'
    - 'ee/spec/services/security/ingestion/ingest_report_slice_service_spec.rb'
    - 'ee/spec/services/security/vulnerability_counting_service_spec.rb'
    - 'ee/spec/services/todo_service_spec.rb'
    - 'ee/spec/support/shared_examples/finders/security/findings_finder_shared_examples.rb'
    - 'ee/spec/support/shared_examples/graphql/geo/geo_registry_type_shared_examples.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/middleware/maintenance_mode_gitlab_ee_instance_shared_examples.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/middleware/read_only_gitlab_ee_instance_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/build_execute_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/search_notes_shared_examples.rb'
    - 'ee/spec/views/shared/credentials_inventory/ssh_keys/_ssh_key.html.haml_spec.rb'
    - 'lib/api/api.rb'
    - 'lib/api/entities/appearance.rb'
    - 'lib/api/entities/basic_project_details.rb'
    - 'lib/api/entities/ci/job.rb'
    - 'lib/api/entities/ci/job_request/dependency.rb'
    - 'lib/api/entities/ci/lint/result.rb'
    - 'lib/api/entities/ci/reset_token_result.rb'
    - 'lib/api/entities/commit_with_link.rb'
    - 'lib/api/entities/event.rb'
    - 'lib/api/entities/global_notification_setting.rb'
    - 'lib/api/entities/group.rb'
    - 'lib/api/entities/issue_basic.rb'
    - 'lib/api/entities/label_basic.rb'
    - 'lib/api/entities/member_access.rb'
    - 'lib/api/entities/merge_request_basic.rb'
    - 'lib/api/entities/merge_request_simple.rb'
    - 'lib/api/entities/milestone.rb'
    - 'lib/api/entities/ml/mlflow/experiment.rb'
    - 'lib/api/entities/ml/mlflow/run_info.rb'
    - 'lib/api/entities/note.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/entities/project_integration.rb'
    - 'lib/api/entities/project_label.rb'
    - 'lib/api/entities/projects/topic.rb'
    - 'lib/api/entities/public_group_details.rb'
    - 'lib/api/entities/resource_label_event.rb'
    - 'lib/api/entities/shared_group_with_project.rb'
    - 'lib/api/entities/snippet.rb'
    - 'lib/api/entities/todo.rb'
    - 'lib/api/entities/tree_object.rb'
    - 'lib/api/entities/user_basic.rb'
    - 'lib/api/github/entities.rb'
    - 'lib/api/group_variables.rb'
    - 'lib/api/helpers/authentication.rb'
    - 'lib/api/helpers/container_registry_helpers.rb'
    - 'lib/api/helpers/snippets_helpers.rb'
    - 'lib/api/search.rb'
    - 'lib/atlassian/jira_connect/serializers/repository_entity.rb'
    - 'lib/banzai/filter/autolink_filter.rb'
    - 'lib/banzai/filter/emoji_filter.rb'
    - 'lib/banzai/filter/inline_metrics_redactor_filter.rb'
    - 'lib/banzai/filter/markdown_post_escape_filter.rb'
    - 'lib/banzai/filter/references/abstract_reference_filter.rb'
    - 'lib/banzai/filter/spaced_link_filter.rb'
    - 'lib/banzai/issuable_extractor.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/gem_extensions/active_record/disable_joins/associations/association_scope.rb'
    - 'lib/gitlab/background_migration/backfill_project_feature_package_registry_access_level.rb'
    - 'lib/gitlab/ci/build/artifacts/path.rb'
    - 'lib/gitlab/ci/config/normalizer.rb'
    - 'lib/gitlab/ci/reports/accessibility_reports.rb'
    - 'lib/gitlab/ci/reports/test_suite.rb'
    - 'lib/gitlab/ci/secure_files/mobile_provision.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'lib/gitlab/cleanup/project_upload_file_finder.rb'
    - 'lib/gitlab/config/entry/composable_array.rb'
    - 'lib/gitlab/config/entry/configurable.rb'
    - 'lib/gitlab/database/background_migration/batched_migration.rb'
    - 'lib/gitlab/database/bulk_update.rb'
    - 'lib/gitlab/database/load_balancing/service_discovery/sampler.rb'
    - 'lib/gitlab/database/read_only_relation.rb'
    - 'lib/gitlab/database/reindexing.rb'
    - 'lib/gitlab/database/schema_cache_with_renamed_table.rb'
    - 'lib/gitlab/dependency_linker/base_linker.rb'
    - 'lib/gitlab/dependency_linker/go_mod_linker.rb'
    - 'lib/gitlab/dependency_linker/go_sum_linker.rb'
    - 'lib/gitlab/diff/inline_diff_markdown_marker.rb'
    - 'lib/gitlab/gfm/uploads_rewriter.rb'
    - 'lib/gitlab/git/merge_base.rb'
    - 'lib/gitlab/github_import/object_counter.rb'
    - 'lib/gitlab/grape_logging/formatters/lograge_with_timestamp.rb'
    - 'lib/gitlab/health_checks/probes/collection.rb'
    - 'lib/gitlab/health_checks/server.rb'
    - 'lib/gitlab/import_export/members_mapper.rb'
    - 'lib/gitlab/metrics/dashboard/stages/variable_endpoint_inserter.rb'
    - 'lib/gitlab/metrics/dashboard/transformers/yml/v1/prometheus_metrics.rb'
    - 'lib/gitlab/metrics/dashboard/validator/custom_formats.rb'
    - 'lib/gitlab/metrics/exporter/base_exporter.rb'
    - 'lib/gitlab/pagination/gitaly_keyset_pager.rb'
    - 'lib/gitlab/safe_request_store.rb'
    - 'lib/gitlab/sidekiq_config.rb'
    - 'lib/gitlab/sidekiq_daemon/monitor.rb'
    - 'lib/gitlab/suggestions/commit_message.rb'
    - 'lib/gitlab/testing/request_inspector_middleware.rb'
    - 'lib/gitlab/throttle.rb'
    - 'lib/gitlab/utils/batch_loader.rb'
    - 'lib/gitlab/utils/merge_hash.rb'
    - 'lib/google_api/cloud_platform/client.rb'
    - 'lib/peek/views/gitaly.rb'
    - 'lib/security/ci_configuration/sast_build_action.rb'
    - 'lib/tasks/cleanup.rake'
    - 'lib/tasks/contracts/merge_requests.rake'
    - 'lib/tasks/contracts/pipeline_schedules.rake'
    - 'lib/tasks/contracts/pipelines.rake'
    - 'lib/tasks/frontend.rake'
    - 'lib/tasks/gitlab/bulk_add_permission.rake'
    - 'lib/tasks/gitlab/db.rake'
    - 'lib/tasks/gitlab/external_diffs.rake'
    - 'lib/tasks/gitlab/gitaly.rake'
    - 'lib/tasks/gitlab/graphql.rake'
    - 'lib/tasks/gitlab/metrics_exporter.rake'
    - 'lib/tasks/gitlab/praefect.rake'
    - 'lib/tasks/gitlab/seed.rake'
    - 'lib/tasks/gitlab/seed/group_seed.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/snippets.rake'
    - 'lib/tasks/gitlab/two_factor.rake'
    - 'lib/tasks/gitlab/uploads/sanitize.rake'
    - 'lib/tasks/gitlab/user_management.rake'
    - 'lib/tasks/gitlab/workhorse.rake'
    - 'lib/version_check.rb'
    - 'qa/qa/runtime/allure_report.rb'
    - 'qa/qa/service/praefect_manager.rb'
    - 'qa/qa/specs/features/api/12_systems/gitaly/distributed_reads_spec.rb'
    - 'qa/qa/specs/features/api/12_systems/gitaly/praefect_dataloss_spec.rb'
    - 'qa/qa/support/knapsack_report.rb'
    - 'qa/qa/support/matchers/eventually_matcher.rb'
    - 'qa/qa/tools/generate_perf_testdata.rb'
    - 'qa/qa/tools/long_running_spec_reporter.rb'
    - 'qa/qa/tools/reliable_report.rb'
    - 'qa/qa/tools/test_resource_data_processor.rb'
    - 'qa/tasks/vulnerabilities.rake'
    - 'scripts/docs_screenshots.rb'
    - 'scripts/packages/automated_cleanup.rb'
    - 'scripts/perf/gc/collect_gc_stats.rb'
    - 'scripts/qa/testcases-check'
    - 'scripts/review_apps/automated_cleanup.rb'
    - 'scripts/used-feature-flags'
    - 'sidekiq_cluster/cli.rb'
    - 'spec/components/pajamas/button_component_spec.rb'
    - 'spec/components/previews/pajamas/banner_component_preview.rb'
    - 'spec/controllers/concerns/confirm_email_warning_spec.rb'
    - 'spec/controllers/concerns/routable_actions_spec.rb'
    - 'spec/controllers/groups/children_controller_spec.rb'
    - 'spec/controllers/projects/labels_controller_spec.rb'
    - 'spec/factories/alert_management/alerts.rb'
    - 'spec/factories/ci/builds.rb'
    - 'spec/factories/ci/job_artifacts.rb'
    - 'spec/factories/ci/pipelines.rb'
    - 'spec/factories/ci/processable.rb'
    - 'spec/factories/ci/reports/sbom/reports.rb'
    - 'spec/factories/ci/runner_namespaces.rb'
    - 'spec/factories/ci/runner_projects.rb'
    - 'spec/factories/ci/runners.rb'
    - 'spec/factories/clusters/clusters.rb'
    - 'spec/factories/clusters/platforms/kubernetes.rb'
    - 'spec/factories/clusters/providers/gcp.rb'
    - 'spec/factories/commit_statuses.rb'
    - 'spec/factories/container_repositories.rb'
    - 'spec/factories/deployments.rb'
    - 'spec/factories/environments.rb'
    - 'spec/factories/merge_requests.rb'
    - 'spec/factories/namespaces.rb'
    - 'spec/factories/packages/debian/distribution.rb'
    - 'spec/factories/project_group_links.rb'
    - 'spec/factories/protected_branches.rb'
    - 'spec/factories/resource_label_events.rb'
    - 'spec/factories/suggestions.rb'
    - 'spec/factories/users.rb'
    - 'spec/features/issuables/issuable_list_spec.rb'
    - 'spec/features/merge_request/user_suggests_changes_on_diff_spec.rb'
    - 'spec/fixtures/lib/generators/gitlab/usage_metric_generator/sample_numbers_metric.rb'
    - 'spec/graphql/features/authorization_spec.rb'
    - 'spec/graphql/types/base_object_spec.rb'
    - 'spec/initializers/secret_token_spec.rb'
    - 'spec/lib/api/helpers/pagination_strategies_spec.rb'
    - 'spec/lib/banzai/filter/audio_link_filter_spec.rb'
    - 'spec/lib/banzai/filter/video_link_filter_spec.rb'
    - 'spec/lib/feature_spec.rb'
    - 'spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'spec/lib/gitlab/background_migration/cleanup_draft_data_from_faulty_regex_spec.rb'
    - 'spec/lib/gitlab/background_migration/populate_vulnerability_reads_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/terraform/tfplan_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/test/junit_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/logger_spec.rb'
    - 'spec/lib/gitlab/ci/status/composite_spec.rb'
    - 'spec/lib/gitlab/cleanup/orphan_job_artifact_files_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/restrict_gitlab_schema_spec.rb'
    - 'spec/lib/gitlab/database/migrations/test_background_runner_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/detached_partition_dropper_spec.rb'
    - 'spec/lib/gitlab/database/rename_reserved_paths_migration/v1_spec.rb'
    - 'spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/application_context_tracer_spec.rb'
    - 'spec/lib/gitlab/health_checks/simple_check_shared.rb'
    - 'spec/lib/gitlab/http_spec.rb'
    - 'spec/lib/gitlab/jwt_authenticatable_spec.rb'
    - 'spec/lib/gitlab/memory/jemalloc_spec.rb'
    - 'spec/lib/gitlab/middleware/memory_report_spec.rb'
    - 'spec/lib/gitlab/middleware/speedscope_spec.rb'
    - 'spec/lib/gitlab/null_request_store_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/strategies/record_loader_strategy_spec.rb'
    - 'spec/lib/gitlab/process_supervisor_spec.rb'
    - 'spec/lib/gitlab/query_limiting_spec.rb'
    - 'spec/lib/gitlab/redis/multi_store_spec.rb'
    - 'spec/lib/gitlab/string_placeholder_replacer_spec.rb'
    - 'spec/lib/gitlab/string_range_marker_spec.rb'
    - 'spec/lib/gitlab/string_regex_marker_spec.rb'
    - 'spec/lib/gitlab/tracking/incident_management_spec.rb'
    - 'spec/lib/gitlab/usage_data_metrics_spec.rb'
    - 'spec/lib/gitlab/utils/usage_data_spec.rb'
    - 'spec/lib/mattermost/session_spec.rb'
    - 'spec/mailers/notify_spec.rb'
    - 'spec/migrations/20220107064845_populate_vulnerability_reads_spec.rb'
    - 'spec/models/active_session_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/concerns/ci/partitionable/switch_spec.rb'
    - 'spec/models/concerns/ci/partitionable_spec.rb'
    - 'spec/models/concerns/each_batch_spec.rb'
    - 'spec/models/container_repository_spec.rb'
    - 'spec/models/network/graph_spec.rb'
    - 'spec/requests/api/ci/pipeline_schedules_spec.rb'
    - 'spec/requests/api/graphql/gitlab_schema_spec.rb'
    - 'spec/requests/api/internal/container_registry/migration_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/projects/google_cloud/deployments_controller_spec.rb'
    - 'spec/requests/projects/google_cloud/gcp_regions_controller_spec.rb'
    - 'spec/requests/projects/ml/experiments_controller_spec.rb'
    - 'spec/services/ci/job_token_scope/add_project_service_spec.rb'
    - 'spec/services/ci/job_token_scope/remove_project_service_spec.rb'
    - 'spec/services/ci/pipelines/add_job_service_spec.rb'
    - 'spec/services/issues/relative_position_rebalancing_service_spec.rb'
    - 'spec/services/merge_requests/merge_to_ref_service_spec.rb'
    - 'spec/services/packages/create_event_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_object_download_list_service_spec.rb'
    - 'spec/services/repository_archive_clean_up_service_spec.rb'
    - 'spec/services/snippets/update_service_spec.rb'
    - 'spec/spec_helper.rb'
    - 'spec/support/atlassian/jira_connect/schemata.rb'
    - 'spec/support/cycle_analytics_helpers/test_generation.rb'
    - 'spec/support/database/prevent_cross_database_modification.rb'
    - 'spec/support/graphql/subscriptions/action_cable/mock_action_cable.rb'
    - 'spec/support/helpers/cycle_analytics_helpers.rb'
    - 'spec/support/helpers/docs_screenshot_helpers.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/stub_method_calls.rb'
    - 'spec/support/helpers/stub_metrics.rb'
    - 'spec/support/matchers/be_n_plus_1_query.rb'
    - 'spec/support/matchers/event_store.rb'
    - 'spec/support/matchers/exceed_query_limit.rb'
    - 'spec/support/matchers/graphql_matchers.rb'
    - 'spec/support/matchers/issuable_matchers.rb'
    - 'spec/support/matchers/pagination_matcher.rb'
    - 'spec/support/matchers/schema_matcher.rb'
    - 'spec/support/matchers/security_header_matcher.rb'
    - 'spec/support/redis.rb'
    - 'spec/support/shared_contexts/jobs/handling_retried_jobs_shared_context.rb'
    - 'spec/support/shared_contexts/lib/gitlab/middleware/multipart_shared_contexts.rb'
    - 'spec/support/shared_contexts/services/service_ping/stubbed_service_ping_metrics_definitions_shared_context.rb'
    - 'spec/support/shared_examples/ci/jobs_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/rate_limited_endpoint_shared_examples.rb'
    - 'spec/support/shared_examples/features/packages_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/members_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/database/reestablished_connection_stack_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/diff_file_collections_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/middleware/read_only_gitlab_instance_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/usage_data_counters/code_review_extension_request_examples.rb'
    - 'spec/support/shared_examples/metrics/active_record_subscriber_shared_examples.rb'
    - 'spec/support/shared_examples/models/active_record_enum_shared_examples.rb'
    - 'spec/support/shared_examples/models/cluster_application_core_shared_examples.rb'
    - 'spec/support/shared_examples/models/diff_positionable_note_shared_examples.rb'
    - 'spec/support/shared_examples/models/issue_tracker_service_shared_examples.rb'
    - 'spec/support/shared_examples/models/snippet_shared_examples.rb'
    - 'spec/support/shared_examples/quick_actions/issuable/issuable_quick_actions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/composer_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/container_repositories_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/helm_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/npm_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/npm_packages_tags_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/project_statistics_refresh_conflicts_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/issues_move_service_shared_examples.rb'
    - 'spec/support/shared_examples/uploaders/object_storage_shared_examples.rb'
    - 'spec/support/shared_examples/workers/concerns/reenqueuer_shared_examples.rb'
    - 'spec/tooling/lib/tooling/find_codeowners_spec.rb'
    - 'spec/tooling/rspec_flaky/config_spec.rb'
    - 'spec/workers/projects/git_garbage_collect_worker_spec.rb'
    - 'tooling/danger/specs.rb'
    - 'tooling/lib/tooling/find_codeowners.rb'
